petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscFree2

Frees 2 chunks of memory obtained with PetscMalloc2()

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscFree2(void *memory1,void *memory2)

Not Collective

### Input Parameters

| memory1 | - memory to free
| memory2 | - 2nd memory to free

### Notes

Memory must have been obtained with PetscMalloc2()

### See Also

PetscNew(), PetscMalloc(), PetscMalloc2(), PetscFree()

### Level

developer

### Location

include/petscsys.h

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/mat/examples/tutorials/ex4.c.html
src/mat/examples/tutorials/ex17.c.html
src/snes/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex14.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages